Package twisted :: Package scripts :: Module mktap :: Class FirstPassOptions

[frames | no frames]

## Class FirstPassOptions

    dict --+
           |
     Options --+
               |
              FirstPassOptions

Method Summary
| `_reportDebug(self, info)`
| `_reportProgress(self, info)`
| `init(self, tapLookup)`
| ``parseArgs`(self)` I am called with any leftover arguments which were not options.
| ``postOptions`(self)` I am called after the options are parsed.
Inherited from Options
| ``__init__`(self)`
| ``__hash__`(self)`
| ``__str__`(self, width)`
| ``_gather_flags`(self)` Gather up boolean (flag) options.
| ``_gather_handlers`(self)` Gather up options with their own handler methods.
| ``_gather_parameters`(self)` Gather options which take a value.
| ``_generic_flag`(self, flagName, value)`
| ``_generic_parameter`(self, parameterName, value)`
| ``getSynopsis`(self)`
| ``getUsage`(self, width)`
| ``opt_help`(self)` Display this help and exit.
| ``opt_version`(self)`
| ``parseOptions`(self, options)` The guts of the command-line parser.
Inherited from dict
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getattribute__(...)`
| `__getitem__(...)`
| `__gt__(...)`
| `__iter__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__ne__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`
Inherited from object
| `__delattr__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`list` | `optFlags` = `[['encrypted', 'e', "Encrypt file before writ...`
`list` | `optParameters` = `[['uid', 'u', 1046, 'The uid to run as.'...`
`tuple` | `params` = `()`
`int` | `recursing` = 0
`str` | `synopsis` = `'Usage: mktap [options] <command> [command...`
Inherited from Options
`NoneType` | `defaultSubCommand` = None
`NoneType` | `parent` = None
`NoneType` | `subCommand` = None

Method Details

### parseArgs(self, *rest)

I am called with any leftover arguments which were not options.

Override me to do something with the remaining arguments on the command line, those which were not flags or options. e.g. interpret them as a list of files to operate on.

Note that if there more arguments on the command line than this method accepts, parseArgs will blow up with a getopt.error. This means if you don't override me, parseArgs will blow up if I am passed any arguments at all!

  Overrides:
    `twisted.python.usage.Options.parseArgs` (inherited documentation)

### postOptions(self)

I am called after the options are parsed.

Override this method in your subclass to do something after the options have been parsed and assigned, like validate that all options are sane.

  Overrides:
    `twisted.python.usage.Options.postOptions` (inherited documentation)

Class Variable Details

### optFlags

  Type:
    `list`
  Value:

        [['encrypted',
          'e',
          "Encrypt file before writing (will make the extension of the resulta\
        nt file begin with 'e')"],
         ['debug', 'd', 'Show debug information for plugin loading'],
         ['progress', 'p', 'Show progress information for plugin loading'],
         ['help', 'h', 'Display this message']]

### optParameters

  Type:
    `list`
  Value:

        [['uid', 'u', 1046, 'The uid to run as.'],
         ['gid', 'g', 1046, 'The gid to run as.'],
         ['append',
          'a',
          None,
          'An existing .tap file to append the plugin to, rather than creating\
         a new one.'],
         ['type',
        ...

### params

  Type:
    `tuple`
  Value:

        ()

### recursing

  Type:
    `int`
  Value:

        0

### synopsis

  Type:
    `str`
  Value:

        'Usage:    mktap [options] <command> [command options] '

Generated by Epydoc 2.0 on Sat May 15 20:08:55 2004 | http://epydoc.sf.net